curl --request POST \
--url https://api.hubapi.com/files/v3/files/import-from-url/async \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"access": "HIDDEN_INDEXABLE",
"url": "<string>",
"duplicateValidationScope": "ENTIRE_PORTAL",
"duplicateValidationStrategy": "NONE",
"expiresAt": "2023-11-07T05:31:56Z",
"folderId": "<string>",
"folderPath": "<string>",
"name": "<string>",
"overwrite": true,
"ttl": "<string>"
}
'{
"id": "57122e26-59f8-4cfc-ba53-96e30c816762",
"links": [
{
"status": "https://api.hubspot.com/files/v3/files/import-from-url/async/tasks/57122e26-59f8-4cfc-ba53-96e30c816762/status"
}
]
}Asynchronously imports the file at the given URL into the file manager.
curl --request POST \
--url https://api.hubapi.com/files/v3/files/import-from-url/async \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"access": "HIDDEN_INDEXABLE",
"url": "<string>",
"duplicateValidationScope": "ENTIRE_PORTAL",
"duplicateValidationStrategy": "NONE",
"expiresAt": "2023-11-07T05:31:56Z",
"folderId": "<string>",
"folderPath": "<string>",
"name": "<string>",
"overwrite": true,
"ttl": "<string>"
}
'{
"id": "57122e26-59f8-4cfc-ba53-96e30c816762",
"links": [
{
"status": "https://api.hubspot.com/files/v3/files/import-from-url/async/tasks/57122e26-59f8-4cfc-ba53-96e30c816762/status"
}
]
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
PUBLIC_INDEXABLE: File is publicly accessible by anyone who has the URL. Search engines can index the file. PUBLIC_NOT_INDEXABLE: File is publicly accessible by anyone who has the URL. Search engines can't index the file. PRIVATE: File is NOT publicly accessible. Requires a signed URL to see content. Search engines can't index the file.
HIDDEN_INDEXABLE, HIDDEN_NOT_INDEXABLE, HIDDEN_PRIVATE, HIDDEN_SENSITIVE, PRIVATE, PUBLIC_INDEXABLE, PUBLIC_NOT_INDEXABLE, SENSITIVE URL to download the new file from.
ENTIRE_PORTAL: Look for a duplicate file in the entire account. EXACT_FOLDER: Look for a duplicate file in the provided folder.
ENTIRE_PORTAL, EXACT_FOLDER NONE: Do not run any duplicate validation. REJECT: Reject the upload if a duplicate is found. RETURN_EXISTING: If a duplicate file is found, do not upload a new file and return the found duplicate instead.
NONE, REJECT, RETURN_EXISTING Specifies the date and time when the file will expire.
One of folderId or folderPath is required. Destination folderId for the uploaded file.
One of folderPath or folderId is required. Destination folder path for the uploaded file. If the folder path does not exist, there will be an attempt to create the folder path.
New name. If specified the folder's name and fullPath will change. All children of the folder will be updated accordingly.
If true, will overwrite existing file if one with the same name and extension exists in the given folder. The overwritten file will be deleted and the uploaded file will take its place with a new ID. If unset or set as false, the new file's name will be updated to prevent colliding with existing file if one exists with the same path, name, and extension
Time to live. If specified the file will be deleted after the given time frame. If left unset, the file will exist indefinitely
Was this page helpful?